<script lang="ts">
import Vue from 'vue';
import ChevronLg from '../../static/nuxt-images/ico/chevron-lg.vue';
import { SlpColumn, SlpContainer } from '../common/index.vue';

export default Vue.extend({
  name: 'FifteenHero',
  components: { ChevronLg, SlpContainer, SlpColumn },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="fifteen-hero fifteen-hero__background">
    <SlpContainer>
      <SlpRow>
        <SlpColumn
          :cols="6"
          class="slp-flex slp-justify-content-center slp-align-items-center slp-mb-24"
        >
          <div class="fifteen-hero__body">
            <SlpTypography
              class="slp-mb-32 slp-color-primary-300 fifteen-hero__header"
              tag="h1"
              variant="heading1"
              data-aos="fade-up"
              data-aos-duration="600"
              >{{ data.title }}
            </SlpTypography>
            <SlpTypography
              tag="h4"
              class="slp-color-primary-300 slp-mb-32"
              variant="heading4"
              data-aos="fade-up"
              data-aos-duration="800"
              >{{ data.subtitle }}
            </SlpTypography>
            <SlpButton
              v-if="data.action"
              variant="ghost"
              class="fifteen-hero__action slp-color-primary-300"
              :href="data.action.url"
              :data-ga-name="data.action.data_ga_name"
              :data-ga-location="data.action.data_ga_location"
              data-aos="fade-up"
              data-aos-duration="1000"
            >
              <SlpTypography tag="span" variant="body1-bold">
                {{ data.action.text }}
                <ChevronLg direction="right" fill="#FFF" />
              </SlpTypography>
            </SlpButton>
          </div>
        </SlpColumn>
        <SlpColumn
          :cols="6"
          class="slp-flex slp-justify-content-center slp-align-items-center"
          data-aos="fade-left"
          data-aos-duration="1200"
        >
          <img
            v-if="data.image"
            class="fifteen-hero__image"
            :src="data.image.url"
            :alt="data.image.alt"
          />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.fifteen-hero {
  min-height: 55rem;
  height: 55rem;
  position: relative;
  margin-bottom: $spacing-16;
  display: flex;
  align-items: center;

  @media (min-width: $breakpoint-md) {
    margin-bottom: $spacing-96;
    min-height: 45rem;
    height: 45rem;
  }

  &__background {
    background-position: center;
    background-repeat: no-repeat;
    background-image: url('/nuxt-images/fifteen/fifteen-hero-bg.png');
    background-size: auto;

    @media (min-width: $breakpoint-md) {
      background-size: cover;
    }
  }

  &__image {
    max-width: 15rem;
  }

  &__action {
    padding: 0;
  }

  &__header {
    font-weight: 600;

    @media (min-width: $breakpoint-md) {
      font-size: 90px;
    }
  }
}
</style>
